#include <bits/stdc++.h>
#define N 1000000

using namespace std;
long long tong(long long n)
{	long long i,s=n+1;
	for(i=2;i<=n/2;i++)
	{
		if(n%i==0)s+=i;	}
		return s;
}
int main()
{
	ifstream f1("tonguoc.inp");
	ofstream f2("tonguoc.out");
	long long n;
	f1>>n;
	f2<<tong(n);
}
